module CtgbIdsConverter
  
  class << self
    attr_accessor :configuration
  end

  class Config
    attr_accessor :host, :hydra, :token, :port
    
    def initialize
      self.port = 80
      self.hydra = Typhoeus::Hydra.new
    end

  end

  def self.configure
    self.configuration ||= Config.new
    yield(configuration) if block_given?
  end

end
